#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# File: src/pixi/utils/Detector.js

    /**
     * @author Mat Groves http://matgroves.com/ @Doormat23
     */

    /**
     * This helper function will automatically detect which renderer you should be using.
     * WebGL is the preferred renderer as it is a lot faster. If webGL is not supported by
     * the browser then this function will return a canvas renderer
     *
     * @method autoDetectRenderer
     * @static
     * @param width {Number} the width of the renderers view
     * @param height {Number} the height of the renderers view
     * @param view {Canvas} the canvas to use as a view, optional
     * @param transparent=false {Boolean} the transparency of the render view, default false
     * @param antialias=false {Boolean} sets antialias (only applicable in webGL chrome at the moment)
     *
     * antialias
     */
    PIXI.autoDetectRenderer = function(width, height, view, transparent, antialias)
    {
        if(!width)width = 800;
        if(!height)height = 600;

        // BORROWED from Mr Doob (mrdoob.com)
        var webgl = ( function () { try {
                                        var canvas = document.createElement( 'canvas' );
                                        return !! window.WebGLRenderingContext && ( canvas.getContext( 'webgl' ) || canvas.getContext( 'experimental-webgl' ) );
                                    } catch( e ) {
                                        return false;
                                    }
                                } )();

        // used to detect ie 11 - no longer required
        /*  if(webgl)
        {
            var ie =  (navigator.userAgent.toLowerCase().indexOf('trident') !== -1);
            webgl = !ie;
        }
        */

        if( webgl )
        {
            return new PIXI.WebGLRenderer(width, height, view, transparent, antialias);
        }

        return  new PIXI.CanvasRenderer(width, height, view, transparent);
    };